#define _disable_ld_no_undefined 1

%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

Name:       log4shib
Version:    1.0.9
Release:    %mkrel 1
Summary:    Log for C++, Shibboleth Edition
Group:      System/Libraries
License:    LGPL
URL:        https://wiki.shibboleth.net/confluence/display/OpenSAML/log4shib
Source:     http://shibboleth.net/downloads/log4shib/%{version}/%{name}-%{version}.tar.gz
BuildRequires: doxygen

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n %{libname}
Summary:    Log for C++, Shibboleth Edition
Group:      System/Libraries

%description -n %{libname}
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

This package contains just the shared library.

%package -n %{devname}
Summary:    Development tools for Log for C++
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
The static libraries and header files needed for development with log4shib.

%prep
%setup -q

%build
%configure2_5x --disable-static PTHREAD_CFLAGS=-pthread PTHREAD_LIBS=-lpthread
%make

%install
%makeinstall_std apidir=%{buildroot}%{_docdir}/%{name}/api

install -m 644 AUTHORS ChangeLog COPYING NEWS README THANKS \
    %{buildroot}%{_docdir}/%{name}

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/liblog4shib.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/%{name}
%{_includedir}/log4shib
%{_mandir}/man3/*
%{_bindir}/log4shib-config
%{_libdir}/liblog4shib.so
%{_libdir}/pkgconfig/log4shib.pc
%{_datadir}/aclocal/log4shib.m4


%changelog
* Tue Jan 19 2016 guillomovitch <guillomovitch> 1.0.9-1.mga6
+ Revision: 925774
- new version 1.0.9

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 743545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-3.mga5
+ Revision: 681984
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 528783
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 guillomovitch <guillomovitch> 1.0.8-1.mga4
+ Revision: 447254
- new version

* Tue Jun 25 2013 guillomovitch <guillomovitch> 1.0.7-1.mga4
+ Revision: 446491
- new version

* Sat May 25 2013 guillomovitch <guillomovitch> 1.0.6-1.mga4
+ Revision: 427113
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 358931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 guillomovitch <guillomovitch> 1.0.5-1.mga3
+ Revision: 337670
- imported package log4shib

